# Property
[Components]

Collaboration diagram for Property:

## Classes

class | Ogre::PropertyDef
| Definition of a property of an object. More...
class | Ogre::PropertyBase
| Base interface for an instance of a property. More...
class | Ogre::Property< T >
| Property instance with passthrough calls to a given object. More...
struct | Ogre::PropertyValue
| A simple structure designed just as a holder of property values between the instances of objects they might target. More...
class | Ogre::PropertySet
| Defines a complete set of properties for a single object instance. More...

## Files

file | OgreProperty.h

| OGRE's property system allows you to associate values of arbitrary type with names, and have those values exposed via a self-describing interface.

## Typedefs

typedef map< String, PropertyDef >::type | Ogre::PropertyDefMap
| Map from property name to shared definition.
typedef map< String, PropertyValue >::type | Ogre::PropertyValueMap
| Defines a transferable map of properties using wrapped value types (Ogre::Any).

## Enumerations

enum

Ogre::PropertyType {
Ogre::PROP_SHORT = 0, Ogre::PROP_UNSIGNED_SHORT = 1, Ogre::PROP_INT = 2, Ogre::PROP_UNSIGNED_INT = 3,
Ogre::PROP_LONG = 4, Ogre::PROP_UNSIGNED_LONG = 5, Ogre::PROP_REAL = 6, Ogre::PROP_STRING = 7,
Ogre::PROP_VECTOR2 = 8, Ogre::PROP_VECTOR3 = 9, Ogre::PROP_VECTOR4 = 10, Ogre::PROP_COLOUR = 11,
Ogre::PROP_BOOL = 12, Ogre::PROP_QUATERNION = 13, Ogre::PROP_MATRIX3 = 14, Ogre::PROP_MATRIX4 = 15,
Ogre::PROP_UNKNOWN = 999
}

| The type of a property. More...

## Typedef Documentation

typedef map<String, PropertyDef>::type Ogre::PropertyDefMap

Map from property name to shared definition.

Definition at line 189 of file OgreProperty.h.

typedef map<String, PropertyValue>::type Ogre::PropertyValueMap

Defines a transferable map of properties using wrapped value types (Ogre::Any).

Definition at line 274 of file OgreProperty.h.

## Enumeration Type Documentation

enum Ogre::PropertyType

The type of a property.

Enumerator:

  PROP_SHORT |
  PROP_UNSIGNED_SHORT |
  PROP_INT |
  PROP_UNSIGNED_INT |
  PROP_LONG |
  PROP_UNSIGNED_LONG |
  PROP_REAL |
  PROP_STRING |
  PROP_VECTOR2 |
  PROP_VECTOR3 |
  PROP_VECTOR4 |
  PROP_COLOUR |
  PROP_BOOL |
  PROP_QUATERNION |
  PROP_MATRIX3 |
  PROP_MATRIX4 |
  PROP_UNKNOWN |

Definition at line 110 of file OgreProperty.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:53